#!/bin/bash

d=3.5
h=1.9
g=0.7

for t in `seq 0 5 45`; do
    python grating.py -src_pol 1 -src_angle ${t} -dd ${d} -hh ${h} -gg ${g} |tee grating_d${d}_h${h}_g${g}_Ez_theta${t}.out;
    grep efficiencies grating_d${d}_h${h}_g${g}_Ez_theta${t}.out |cut -d , -f2- >> grating_Ez_d${d}_h${h}_g${g}.dat;
    
    python grating.py -src_pol 2 -src_angle ${t} -dd ${d} -hh ${h} -gg ${g} |tee grating_d${d}_h${h}_g${g}_Hz_theta${t}.out;
    grep efficiencies grating_d${d}_h${h}_g${g}_Hz_theta${t}.out |cut -d , -f2- >> grating_Hz_d${d}_h${h}_g${g}.dat;
done
